#!/usr/bin/python

# JHC - Jabber Humane Clock.
# Copyright (C) 2007  Denis Nelubin aka Gelin
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

# http://gelin.ru
# mailto:den@gelin.ru
# xmpp:gelin@jabber.ru?message

import logging
import sys
import os

from jhc.bot import Bot
import jhc.cli as cli

#logging configuration
logLevel = os.environ.get("LOG_LEVEL", "INFO").upper()
#print logLevel
logging.basicConfig(level=getattr(logging, logLevel),
                    format='%(asctime)s %(name)-12s %(levelname)-8s %(message)s',
                    datefmt='%m-%d %H:%M')
#logging.getLogger('').addHandler(logging.StreamHandler())

#get options
options = cli.BotParser().getOptions()

#create bot
bot = Bot(options)

#start bot
if not bot.connect():
    sys.exit(1)
bot.serve()