"""Tests for jhc.timer."""

import unittest

import time

import jhc.timer

def foo():
    pass

class TimerTest(unittest.TestCase):

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def testInit(self):
        timer = jhc.timer.Timer((0, 0), 30, foo)

    def testGetMinutes(self):
        seconds = time.time()
        (hour, minute, second) = time.localtime(seconds)[3:6]
        timer = jhc.timer.Timer((0, 0), 30, foo)
        self.assertEqual((hour * 60 + minute, second), timer.getMinutes(seconds))

    def testGetInterval(self):
        seconds = time.time()
        times = []
        times.extend(time.localtime(seconds))
        if times[4] < 30:
            times[4] = 30
        else:
            times[3] += 1
            times[4] = 0
        seconds2 = time.mktime(times)
        timer = jhc.timer.Timer((0, 0), 30, foo)
        self.assertTrue(int(seconds2 - seconds), int(timer.getInterval()))


def test_suite():
    return unittest.makeSuite(TimerTest)

if __name__ == "__main__":
    unittest.main(defaultTest="test_suite")